#!/usr/bin/env python3

import yaml
from collections import defaultdict
from pequod_agent.cluster.lbupdater.base import LBUpdater


class BootstrapLBUpdater(LBUpdater):

    def __init__(self, bootstrap_files):
        self.external_services = defaultdict(list)
        self.pools = []
        for bootstrap_file in bootstrap_files:
            if ':' in bootstrap_file:
                continue
            with open(bootstrap_file) as fd:
                data = yaml.safe_load(fd)
            if isinstance(data, dict):
                config = data.get('load_balancer', {})
                self.pools = config.get('pools', [])

    def get_all_pools(self):
        return self.pools
