#!/usr/bin/env python3

import logging
from pequod_agent.cluster.lbupdater.base import LBUpdater
from pequod_agent.cluster.service import AppService, RequestException
from pequod_agent.cluster.service.app import INFRASTRUCTURE_ZONE


class ClusterLBUpdater(LBUpdater):

    def __init__(self, controller, registry, credentials):
        self.log = logging.getLogger('pequod.lb-updater')
        self.service = AppService(controller, registry, INFRASTRUCTURE_ZONE, 'pequod-app-lbupdater', '1', credentials)

    def get_all_pools(self):
        try:
            self.log.debug('Getting all pools')
            pools = self.service.get('/load-balancer-pools')
            return pools
        except RequestException as e:
            self.log.warning('Load Balancer Service not available: %s', e)
            return []
