#!/usr/bin/env python3
import logging
import random


log = logging.getLogger('pequod.agent.utils')


def generate_random_name(prefix: str, size: int) -> str:
    """
    See GenerateRandomName in vendor/src/github.com/docker/libcontainer/utils/utils.go

    >>> len(generate_random_name('abc', 4))
    7
    """
    return '{}%0{}x'.format(prefix, size) % random.randrange(16 ** size)


def pretty_print(d: dict) -> str:
    """
    >>> pretty_print({'a': 1, 'b': 2})
    'a=1, b=2'
    """
    return ', '.join(['{}={}'.format(k, v) for k, v in sorted(d.items())])
